## org.gnu.glib
Class Flags

    java.lang.Object
      org.gnu.glib.Flags

Direct Known Subclasses:
  AccelFlags, AttachOptions, CalendarDisplayOptions, CellRendererState, DebugFlag, DestDefaults, DragAction, EventMask, FileFilterFlags, FontMask, GrabStatus, IconLookupFlags, InputCondition, KeySymbol, ModifierType, ObjectFlags, ParmFlags, RcFlags, SignalRunType, TargetFlags, WidgetFlags, WindowAttributesType, WindowHints, WindowState, WMDecoration, WMFunction

public class Flags
extends java.lang.Object

Base class for all classes resulting from a `define-flags` in a `.defs` file.

Field Summary
`protected int` `value_` holder for the raw flags value

Constructor Summary
`protected` `Flags()` This class is only instantiable via subclasses.

Method Summary
`boolean` `equals(java.lang.Object other)` Compare this to another object.
`int` `getValue()` Get the raw value of the object.
`int` `hashCode()` Get the hash code for this instance.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value_

    protected int value_

  holder for the raw flags value

Constructor Detail

### Flags

    protected Flags()

  This class is only instantiable via subclasses.

Method Detail

### getValue

    public final int getValue()

  Get the raw value of the object.

  Returns:
    the raw value.

### hashCode

    public final int hashCode()

  Get the hash code for this instance. It is the same as its value.

  Returns:
    the hash code

### equals

    public final boolean equals(java.lang.Object other)

  Compare this to another object. The comparison is only `true` when the other object is also a `Flags` and when the values match.

  Parameters:
    `other` - the object to compare to
  Returns:
    the result of comparison